import { request } from '/@/utils/service'

const urlPrefix = "/api/ad_manage/auto_plan_template/"

export function getCampaignRuleState (params: any) {
  return request({
    url: 'http://127.0.0.1:4523/m1/3337156-0-default/api/campaign-rules/get-state',
    method: 'get',
    params: params
  })
}
export function getTemplateList (params: any) {
  return request({
    url: 'http://127.0.0.1:4523/m1/3337156-0-default/api/rule-template',
    method: 'get',
    params: params
  })
}

export function getTemplate (templateId: number) {
  return request({
    url: urlPrefix + templateId,
    method: 'get'
  })
}

export function createTemplate (data: any) {
  return request({
    url: urlPrefix,
    method: 'post',
    data: data
  })
}

export function updateTemplate (id: number, data: any) {
  return request({
    url: urlPrefix + id + '/',
    method: 'put',
    data: data
  })
}


